<?php
/**
 * @package Hreflang
 */

if (!defined('ABSPATH')) {
    exit;
}

// Send a request to your licensing server to validate the license key.
$response = wp_remote_get(HREFLANG_APP_DOMAIN.'api/languages', array(
	'body' => [
	],
));

if (is_wp_error($response) || 200 !== wp_remote_retrieve_response_code($response)) {
	return [];
}

$body = json_decode($response['body'], true);

$languages = [];
foreach ($body as $lang) {
	$languages[$lang['parent_code']][] = $lang;
}
return $languages;